org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnKeyINRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeyINRestriction

All Implemented Interfaces:
  Restriction, SingleRestriction

Direct Known Subclasses:
  SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues

Enclosing class:
  SingleColumnRestriction

    public abstract static class SingleColumnRestriction.SuperColumnKeyINRestriction
    extends SingleColumnRestriction.INRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`columnDef`

### Constructor Summary

Constructors
Constructor and Description
`SuperColumnKeyINRestriction(ColumnDefinition columnDef)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
`void` `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
`MultiCBuilder` `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
`abstract java.util.List<java.nio.ByteBuffer>` `getValues(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.INRestriction

`doMergeWith, isIN, isSupportedBy`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

`appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isMultiColumn, isNotNull, isSlice`

### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

`isOnToken`

### Constructor Detail

#### SuperColumnKeyINRestriction

    public SuperColumnKeyINRestriction(ColumnDefinition columnDef)

### Method Detail

#### appendTo

    public MultiCBuilder appendTo(MultiCBuilder builder,
                                  QueryOptions options)

Description copied from interface: `SingleRestriction`
Appends the values of this `SingleRestriction` to the specified builder.

Specified by:
  `appendTo` in interface `SingleRestriction`
Overrides:
  `appendTo` in class `SingleColumnRestriction.INRestriction`
Parameters:
  `builder` - the `MultiCBuilder` to append to.
  `options` - the query options
Returns:
  the `MultiCBuilder`

#### addRowFilterTo

    public void addRowFilterTo(RowFilter filter,
                               SecondaryIndexManager indexManager,
                               QueryOptions options)
                        throws InvalidRequestException

Description copied from interface: `Restriction`
Adds to the specified row filter the expressions corresponding to this `Restriction`.

Specified by:
  `addRowFilterTo` in interface `Restriction`
Overrides:
  `addRowFilterTo` in class `SingleColumnRestriction.INRestriction`
Parameters:
  `filter` - the row filter to add expressions to
  `indexManager` - the secondary index manager
  `options` - the query options
Throws:
  `InvalidRequestException`

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

Description copied from interface: `Restriction`
Adds all functions (native and user-defined) used by any component of the restriction to the specified list.

Parameters:
  `functions` - the list to add to

#### getValues

    public abstract java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)
                                                           throws InvalidRequestException

Specified by:
  `getValues` in class `SingleColumnRestriction.INRestriction`
Throws:
  `InvalidRequestException`